curl
curl --request GET \
--url https://data.us.algolia.com/1/sources/6c02aeb1-775e-418e-870b-1faccd4b2c0f \
--header 'accept: application/json' \
--header 'x-algolia-api-key: ALGOLIA_API_KEY' \
--header 'x-algolia-application-id: ALGOLIA_APPLICATION_ID'// Initialize the client
var client = new IngestionClient(
new IngestionConfig("ALGOLIA_APPLICATION_ID", "ALGOLIA_API_KEY", "ALGOLIA_APPLICATION_REGION")
);
// Call the API
var response = await client.GetSourceAsync("75eeb306-51d3-4e5e-a279-3c92bd8893ac");
// print the response
Console.WriteLine(response);// Initialize the client
final client = IngestionClient(
appId: 'ALGOLIA_APPLICATION_ID',
apiKey: 'ALGOLIA_API_KEY',
region: 'ALGOLIA_APPLICATION_REGION');
// Call the API
final response = await client.getSource(
sourceID: "75eeb306-51d3-4e5e-a279-3c92bd8893ac",
);
// print the response
print(response);// Initialize the client with your application region, eg. ingestion.ALGOLIA_APPLICATION_REGION
client, err := ingestion.NewClient("ALGOLIA_APPLICATION_ID", "ALGOLIA_API_KEY", ingestion.US)
if err != nil {
// The client can fail to initialize if you pass an invalid parameter.
panic(err)
}
// Call the API
response, err := client.GetSource(client.NewApiGetSourceRequest(
"75eeb306-51d3-4e5e-a279-3c92bd8893ac"))
if err != nil {
// handle the eventual error
panic(err)
}
// print the response
print(response)// Initialize the client
IngestionClient client = new IngestionClient("ALGOLIA_APPLICATION_ID", "ALGOLIA_API_KEY", "ALGOLIA_APPLICATION_REGION");
// Call the API
Source response = client.getSource("75eeb306-51d3-4e5e-a279-3c92bd8893ac");
// print the response
System.out.println(response);// Initialize the client
// Replace 'us' with your Algolia Application Region
const client = algoliasearch('ALGOLIA_APPLICATION_ID', 'ALGOLIA_API_KEY').initIngestion({ region: 'us' });
// Call the API
const response = await client.getSource({ sourceID: '75eeb306-51d3-4e5e-a279-3c92bd8893ac' });
// print the response
console.log(response);// Initialize the client
val client =
IngestionClient(
appId = "ALGOLIA_APPLICATION_ID",
apiKey = "ALGOLIA_API_KEY",
region = "ALGOLIA_APPLICATION_REGION",
)
// Call the API
var response = client.getSource(sourceID = "75eeb306-51d3-4e5e-a279-3c92bd8893ac")
// print the response
println(response)// Initialize the client
$client = IngestionClient::create('ALGOLIA_APPLICATION_ID', 'ALGOLIA_API_KEY', 'ALGOLIA_APPLICATION_REGION');
// Call the API
$response = $client->getSource(
'75eeb306-51d3-4e5e-a279-3c92bd8893ac',
);
// print the response
var_dump($response);# Initialize the client
# In an asynchronous context, you can use IngestionClient instead, which exposes the exact same methods.
client = IngestionClientSync(
"ALGOLIA_APPLICATION_ID", "ALGOLIA_API_KEY", "ALGOLIA_APPLICATION_REGION"
)
# Call the API
response = client.get_source(
source_id="75eeb306-51d3-4e5e-a279-3c92bd8893ac",
)
# print the response
print(response)# Initialize the client
client = Algolia::IngestionClient.create("ALGOLIA_APPLICATION_ID", "ALGOLIA_API_KEY", "ALGOLIA_APPLICATION_REGION")
# Call the API
response = client.get_source("75eeb306-51d3-4e5e-a279-3c92bd8893ac")
# print the response
puts(response)// Initialize the client
val client = IngestionClient(
appId = "ALGOLIA_APPLICATION_ID",
apiKey = "ALGOLIA_API_KEY",
region = "ALGOLIA_APPLICATION_REGION"
)
// Call the API
val response = Await.result(
client.getSource(
sourceID = "75eeb306-51d3-4e5e-a279-3c92bd8893ac"
),
Duration(100, "sec")
)
// print the response
println(response)// Initialize the client
let client = try IngestionClient(appID: "ALGOLIA_APPLICATION_ID", apiKey: "ALGOLIA_API_KEY", region: .us)
// Call the API
let response = try await client.getSource(sourceID: "75eeb306-51d3-4e5e-a279-3c92bd8893ac")
// print the response
print(response){
"createdAt": "<string>",
"name": "<string>",
"sourceID": "6c02aeb1-775e-418e-870b-1faccd4b2c0f",
"type": "algoliaIndex",
"updatedAt": "<string>",
"authenticationID": "6c02aeb1-775e-418e-870b-1faccd4b2c0f",
"input": {
"projectKey": "<string>",
"url": "<string>",
"customFields": {
"category": [
"<string>"
],
"inventory": [
"<string>"
],
"price": [
"<string>"
]
},
"fallbackIsInStockValue": true,
"locales": [
"fr-FR"
],
"productQueryPredicate": "<string>",
"storeKeys": [
"<string>"
],
"useImagesObjects": true
},
"owner": "<string>"
}{
"message": "Invalid Application-Id or API-Key"
}Sources
Retrieve a source
Retrieve a source by its ID.
GET
/
1
/
sources
/
{sourceID}
curl
curl --request GET \
--url https://data.us.algolia.com/1/sources/6c02aeb1-775e-418e-870b-1faccd4b2c0f \
--header 'accept: application/json' \
--header 'x-algolia-api-key: ALGOLIA_API_KEY' \
--header 'x-algolia-application-id: ALGOLIA_APPLICATION_ID'// Initialize the client
var client = new IngestionClient(
new IngestionConfig("ALGOLIA_APPLICATION_ID", "ALGOLIA_API_KEY", "ALGOLIA_APPLICATION_REGION")
);
// Call the API
var response = await client.GetSourceAsync("75eeb306-51d3-4e5e-a279-3c92bd8893ac");
// print the response
Console.WriteLine(response);// Initialize the client
final client = IngestionClient(
appId: 'ALGOLIA_APPLICATION_ID',
apiKey: 'ALGOLIA_API_KEY',
region: 'ALGOLIA_APPLICATION_REGION');
// Call the API
final response = await client.getSource(
sourceID: "75eeb306-51d3-4e5e-a279-3c92bd8893ac",
);
// print the response
print(response);// Initialize the client with your application region, eg. ingestion.ALGOLIA_APPLICATION_REGION
client, err := ingestion.NewClient("ALGOLIA_APPLICATION_ID", "ALGOLIA_API_KEY", ingestion.US)
if err != nil {
// The client can fail to initialize if you pass an invalid parameter.
panic(err)
}
// Call the API
response, err := client.GetSource(client.NewApiGetSourceRequest(
"75eeb306-51d3-4e5e-a279-3c92bd8893ac"))
if err != nil {
// handle the eventual error
panic(err)
}
// print the response
print(response)// Initialize the client
IngestionClient client = new IngestionClient("ALGOLIA_APPLICATION_ID", "ALGOLIA_API_KEY", "ALGOLIA_APPLICATION_REGION");
// Call the API
Source response = client.getSource("75eeb306-51d3-4e5e-a279-3c92bd8893ac");
// print the response
System.out.println(response);// Initialize the client
// Replace 'us' with your Algolia Application Region
const client = algoliasearch('ALGOLIA_APPLICATION_ID', 'ALGOLIA_API_KEY').initIngestion({ region: 'us' });
// Call the API
const response = await client.getSource({ sourceID: '75eeb306-51d3-4e5e-a279-3c92bd8893ac' });
// print the response
console.log(response);// Initialize the client
val client =
IngestionClient(
appId = "ALGOLIA_APPLICATION_ID",
apiKey = "ALGOLIA_API_KEY",
region = "ALGOLIA_APPLICATION_REGION",
)
// Call the API
var response = client.getSource(sourceID = "75eeb306-51d3-4e5e-a279-3c92bd8893ac")
// print the response
println(response)// Initialize the client
$client = IngestionClient::create('ALGOLIA_APPLICATION_ID', 'ALGOLIA_API_KEY', 'ALGOLIA_APPLICATION_REGION');
// Call the API
$response = $client->getSource(
'75eeb306-51d3-4e5e-a279-3c92bd8893ac',
);
// print the response
var_dump($response);# Initialize the client
# In an asynchronous context, you can use IngestionClient instead, which exposes the exact same methods.
client = IngestionClientSync(
"ALGOLIA_APPLICATION_ID", "ALGOLIA_API_KEY", "ALGOLIA_APPLICATION_REGION"
)
# Call the API
response = client.get_source(
source_id="75eeb306-51d3-4e5e-a279-3c92bd8893ac",
)
# print the response
print(response)# Initialize the client
client = Algolia::IngestionClient.create("ALGOLIA_APPLICATION_ID", "ALGOLIA_API_KEY", "ALGOLIA_APPLICATION_REGION")
# Call the API
response = client.get_source("75eeb306-51d3-4e5e-a279-3c92bd8893ac")
# print the response
puts(response)// Initialize the client
val client = IngestionClient(
appId = "ALGOLIA_APPLICATION_ID",
apiKey = "ALGOLIA_API_KEY",
region = "ALGOLIA_APPLICATION_REGION"
)
// Call the API
val response = Await.result(
client.getSource(
sourceID = "75eeb306-51d3-4e5e-a279-3c92bd8893ac"
),
Duration(100, "sec")
)
// print the response
println(response)// Initialize the client
let client = try IngestionClient(appID: "ALGOLIA_APPLICATION_ID", apiKey: "ALGOLIA_API_KEY", region: .us)
// Call the API
let response = try await client.getSource(sourceID: "75eeb306-51d3-4e5e-a279-3c92bd8893ac")
// print the response
print(response){
"createdAt": "<string>",
"name": "<string>",
"sourceID": "6c02aeb1-775e-418e-870b-1faccd4b2c0f",
"type": "algoliaIndex",
"updatedAt": "<string>",
"authenticationID": "6c02aeb1-775e-418e-870b-1faccd4b2c0f",
"input": {
"projectKey": "<string>",
"url": "<string>",
"customFields": {
"category": [
"<string>"
],
"inventory": [
"<string>"
],
"price": [
"<string>"
]
},
"fallbackIsInStockValue": true,
"locales": [
"fr-FR"
],
"productQueryPredicate": "<string>",
"storeKeys": [
"<string>"
],
"useImagesObjects": true
},
"owner": "<string>"
}{
"message": "Invalid Application-Id or API-Key"
}Required ACL:
addObject, deleteIndex, editSettingsAuthorizations
Path Parameters
Response
OK
Last modified on March 23, 2026
Was this page helpful?